#pragma once

#include "cache.h"

void htmlencode(std::string& data);

void show_histogram(const Caches& cc, std::string Cache::*ptr, const std::string& caption, bool html = 0, bool sort_by_val = 1);

int find_streak(const std::multimap<std::time_t, const Cache*>& cc, std::tm& start);

long int get_num(char c, char* opt);
